use derive_more::derive::Debug;

use super::NumericValue;
#[derive(Debug, PartialEq, Eq, Clone, Copy)]
pub struct RaceRecord {
    time: NumericValue,
    reached_distance: NumericValue,
}

impl RaceRecord {
    pub fn new(time: NumericValue, reached_distance: NumericValue) -> Self {
        Self {
            time,
            reached_distance,
        }
    }

    pub fn time(&self) -> NumericValue {
        self.time
    }

    pub fn reached_distance(&self) -> NumericValue {
        self.reached_distance
    }
}
